TimeFcts (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.functions

## Class TimeFcts

- java.lang.Object
- - org.apache.cassandra.cql3.functions.TimeFcts

-     public abstract class TimeFcts
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NativeScalarFunction` | `dateOfFct` Deprecated. Replaced by the `timeUuidToTimestamp` function
    `static NativeScalarFunction` | `dateToTimestamp` Function that convert a value of type `TIMESTAMP` into a `DATE`.
    `static NativeScalarFunction` | `dateToUnixTimestamp` Function that convert a value of type `DATE` into an UNIX timestamp.
    `static org.slf4j.Logger` | `logger`
    `static Function` | `maxTimeuuidFct`
    `static Function` | `minTimeuuidFct`
    `static Function` | `nowFct`
    `static NativeScalarFunction` | `timestampToDate` Function that convert a value of type `TIMESTAMP` into a `DATE`.
    `static NativeScalarFunction` | `timestampToUnixTimestamp` Function that convert a value of type `TIMESTAMP` into an UNIX timestamp.
    `static NativeScalarFunction` | `timeUuidtoDate` Function that convert a value of `TIMEUUID` into a value of type `DATE`.
    `static NativeScalarFunction` | `timeUuidToTimestamp` Function that convert a value of type `TIMEUUID` into a value of type `TIMESTAMP`.
    `static NativeScalarFunction` | `timeUuidToUnixTimestamp` Function that convert a value of type `TIMEUUID` into an UNIX timestamp.
    `static NativeScalarFunction` | `unixTimestampOfFct` Deprecated. Replaced by the `timeUuidToUnixTimestamp` function

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeFcts()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Collection<Function>` | `all()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static org.slf4j.Logger logger

    - #### nowFct

          public static final Function nowFct

    - #### minTimeuuidFct

          public static final Function minTimeuuidFct

    - #### maxTimeuuidFct

          public static final Function maxTimeuuidFct

    - #### dateOfFct

          public static final NativeScalarFunction dateOfFct

      Deprecated. Replaced by the `timeUuidToTimestamp` function
      Function that convert a value of `TIMEUUID` into a value of type `TIMESTAMP`.

    - #### unixTimestampOfFct

          public static final NativeScalarFunction unixTimestampOfFct

      Deprecated. Replaced by the `timeUuidToUnixTimestamp` function
      Function that convert a value of type `TIMEUUID` into an UNIX timestamp.

    - #### timeUuidtoDate

          public static final NativeScalarFunction timeUuidtoDate

      Function that convert a value of `TIMEUUID` into a value of type `DATE`.

    - #### timeUuidToTimestamp

          public static final NativeScalarFunction timeUuidToTimestamp

      Function that convert a value of type `TIMEUUID` into a value of type `TIMESTAMP`.

    - #### timeUuidToUnixTimestamp

          public static final NativeScalarFunction timeUuidToUnixTimestamp

      Function that convert a value of type `TIMEUUID` into an UNIX timestamp.

    - #### timestampToUnixTimestamp

          public static final NativeScalarFunction timestampToUnixTimestamp

      Function that convert a value of type `TIMESTAMP` into an UNIX timestamp.

    - #### timestampToDate

          public static final NativeScalarFunction timestampToDate

      Function that convert a value of type `TIMESTAMP` into a `DATE`.

    - #### dateToTimestamp

          public static final NativeScalarFunction dateToTimestamp

      Function that convert a value of type `TIMESTAMP` into a `DATE`.

    - #### dateToUnixTimestamp

          public static final NativeScalarFunction dateToUnixTimestamp

      Function that convert a value of type `DATE` into an UNIX timestamp.

  - ### Constructor Detail

    - #### TimeFcts

          public TimeFcts()

  - ### Method Detail

    - #### all

          public static java.util.Collection<Function> all()

Copyright © 2018 The Apache Software Foundation